Subject: Re: linux-next: Tree for Sept 26 (olpc)

From: Randy Dunlap <[email-masked]>
Date: Mon, 26 Sep 2011 10:10:19 -0700

On 09/26/2011 12:23 AM, Stephen Rothwell wrote:
> Hi all,

olpc-xo1-pm.c:(.devinit.text+0x1d6): undefined reference to `mfd_cell_enable'
olpc-xo1-pm.c:(.devexit.text+0x15): undefined reference to `mfd_cell_disable'
olpc-xo1-pm.c:(.devinit.text+0x1d6): undefined reference to `mfd_cell_enable'
olpc-xo1-pm.c:(.devexit.text+0x15): undefined reference to `mfd_cell_disable'
olpc-xo1-pm.c:(.devinit.text+0x1d6): undefined reference to `mfd_cell_enable'
olpc-xo1-pm.c:(.devexit.text+0x15): undefined reference to `mfd_cell_disable'

CONFIG_MFD_CORE=m while CONFIG_OLPC_XO1_PM=y (which I don't understand since
OLPC_XO1_PM [boolean] selects MFD_CORE).

Full randconfig is attached.

-- 
~Randy
*** Remember to use Documentation/SubmitChecklist when testing your code ***